import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionInfraccionController } from './institucion-infraccion.controller';
import { InstitucionInfraccionService } from './institucion-infraccion.service';
import { Infraccion } from './entity/infraccion.entity';
import { InstitucionInfraccion } from './entity/institucion-infraccion.entity';
import { InstitucionModule } from '../institucion/institucion.module';

@Module({
  imports: [
    InstitucionModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([Infraccion, InstitucionInfraccion]),
  ],
  controllers: [InstitucionInfraccionController],
  providers: [InstitucionInfraccionService],
  exports: [InstitucionInfraccionService],
})
export class InstitucionInfraccionModule {}
