import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionTipoCarritoController } from './institucion-tipo-carrito.controller';
import { InstitucionTipoCarritoService } from './institucion-tipo-carrito.service';
import { InstitucionTipoCarrito } from './entity/institucion-tipo-carrito.entity';
import { TipoCarrito } from './entity/tipo-carrito.entity';
import { InstitucionModule } from '../institucion/institucion.module';
import { InstitucionUsuarioModule } from '../institucion-usuario/institucion-usuario.module';

@Module({
  imports: [
    InstitucionModule,
    InstitucionUsuarioModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([InstitucionTipoCarrito, TipoCarrito]),
  ],
  controllers: [InstitucionTipoCarritoController],
  providers: [InstitucionTipoCarritoService],
  exports: [InstitucionTipoCarritoService],
})
export class InstitucionTipoCarritoModule {}
